> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tilt.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate Expression



## OpenAPI

````yaml POST /api/v1/custom/org/{organization_uuid}/dynamic_rules/validate/
openapi: 3.0.3
info:
  title: TILT
  version: 0.0.1
servers: []
security: []
paths:
  /api/v1/custom/org/{organization_uuid}/dynamic_rules/validate/:
    post:
      tags:
        - api
      operationId: api_v1_custom_org_dynamic_rules_validate_create
      parameters:
        - in: path
          name: organization_uuid
          schema:
            type: string
            format: uuid
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ValidateExpressionRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/ValidateExpressionRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/ValidateExpressionRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidateExpressionResponse'
          description: ''
      security:
        - jwtAuth: []
        - ProAPIToken: []
components:
  schemas:
    ValidateExpressionRequest:
      type: object
      properties:
        expression:
          type: string
          maxLength: 1000
        sample_context:
          type: object
          additionalProperties: {}
          nullable: true
      required:
        - expression
    ValidateExpressionResponse:
      type: object
      properties:
        valid:
          type: boolean
        error:
          type: string
      required:
        - valid
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    ProAPIToken:
      type: apiKey
      in: header
      name: X-Api-Key

````